%global module_name musicbrainzngs

Name:           python-musicbrainzngs
Version:        0.5
Release:        2%{?dist}
Summary:        Python bindings for MusicBrainz NGS webservice

License:        BSD and ISC
URL:            https://github.com/alastair/python-musicbrainz-ngs
Source0:        https://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-nose

%description
This library implements webservice bindings for the MusicBrainz NGS site, also
known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service


%prep
%setup -qn %{module_name}-%{version}
chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
rm -rf musicbrainzngs
PYTHONPATH=%{buildroot}%{python_sitelib} nosetests-2.7

 
%files
%doc COPYING README.md docs examples
%{python_sitelib}/*


%changelog
* Tue Oct 07 2014 Andy Lutomirski <luto@mit.edu> - 0.5-2
- Remove BR: python2-devel

* Tue Oct 07 2014 Andy Lutomirski <luto@mit.edu> - 0.5-1
- Bump to 0.5.

* Fri Sep 13 2013 Ian Weller <iweller@redhat.com> - 0.4-1
- Initial package build
